package gui.panels.table;

import agenda.Agenda;

import javax.swing.*;

import java.awt.*;

/**
 * Created by gjoosen on 24/02/15.
 */

public class Table extends  JPanel{
    
    private Agenda agenda;
    
    public Table(Agenda agenda){
        this.agenda = agenda;
        System.out.println("Test");
        JTable table = new JTable(new TableModel(this.agenda));
        table.setFont(new Font("Arial", Font.PLAIN, 11));
        table.setForeground(new Color(51,51,51));
        table.setAutoCreateRowSorter(true);
        JScrollPane scrollPane = new JScrollPane(table);
        super.setLayout(new BorderLayout());
        
        super.add(scrollPane, BorderLayout.CENTER);
    }
}

